Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class STSAdmin

    java.lang.Object
      org.wso2.wsas.admin.service.AbstractAdmin
          org.wso2.wsas.admin.service.STSAdmin

public class STSAdmin
extends AbstractAdmin

Administration service of the WSO2WSAS-SecurityTokenService

Field Summary

Fields inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`axisConfig, configCtx`

Constructor Summary
`STSAdmin()`

Method Summary
`void` | `addTrustedService(java.lang.String serviceAddress, java.lang.String certAlias)` Add a the given service endpoint as a trusted endpoint address
`java.lang.String[]` | `getCertAliasOfPrimaryKeyStore()` Returns certificate aliases of primary keystore
`java.lang.String` | `getProofKeyType()`
`TrustedServiceData[]` | `getTrustedServices()`
`void` | `setProofKeyType(java.lang.String keyType)`

Methods inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`getAxisConfig, getConfigContext, init, setAxisConfig, setConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STSAdmin

    public STSAdmin()

Method Detail

### addTrustedService

    public void addTrustedService(java.lang.String serviceAddress,
                                  java.lang.String certAlias)
                           throws org.apache.axis2.AxisFault

  Add a the given service endpoint as a trusted endpoint address

  Parameters:
    `serviceAddress` - Address of the service endpoint
    `certAlias` - Alias of the service cert
  Throws:
    `org.apache.axis2.AxisFault`

### setProofKeyType

    public void setProofKeyType(java.lang.String keyType)
                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getTrustedServices

    public TrustedServiceData[] getTrustedServices()
                                            throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getProofKeyType

    public java.lang.String getProofKeyType()
                                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getCertAliasOfPrimaryKeyStore

    public java.lang.String[] getCertAliasOfPrimaryKeyStore()
                                                     throws org.apache.axis2.AxisFault

  Returns certificate aliases of primary keystore

  Returns:
    String array
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD